//
//   ______    ______    ______    
//  /\  __ \  /\  ___\  /\  ___\   
//  \ \  __<  \ \  __\_ \ \  __\_ 
//   \ \_____\ \ \_____\ \ \_____\ 
//    \/_____/  \/_____/  \/_____/ 
//
//  Powered by BeeFramework
//
//
//  VankeStatementDetailListBoard_iPhone.h
//  vanke
//  对账单列表
//  Created by xiaomi on 15/11/16.
//  Copyright © 2015年 gomore. All rights reserved.
//

#import "Bee.h"
#import "VankeBaseBoard.h"
#import "VankeSettlementListAPI.h"
#import "VankeStatementSubjectListModel.h"
#import "VankeStateDetailOperCell_iPhone.h"
#import "VankeStatementDetailMonthCell_iPhone.h"

#pragma mark -

@interface VankeStatementDetailListBoard_iPhone : VankeBaseBoard

// 单据状态发生变化的通知
AS_NOTIFICATION( STATE_CHANGED )

AS_MODEL( VankeStatementSubjectListModel, model )
AS_OUTLET( BeeUIScrollView,     list )
AS_OUTLET( VankeStatementDetailMonthCell_iPhone, settlementBar)
AS_OUTLET( VankeStateDetailOperCell_iPhone, operBar )
AS_OUTLET( BeeUIImageView, imgState)

@property (nonatomic, strong) NSDate *settleEquals;
@property (nonatomic, strong) NSString *contractEquals;
@property (nonatomic, strong) StatementShop *data;

@end
